Subject: RE: TDomains

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Tue, 18 Jul 2000 08:56:43 +0200

Comments inline

> ----------
> From: 	Mike Daniele[SMTP:[email-masked]]
> Sent: 	Monday, July 17, 2000 8:54 PM
> To: 	Ayers, Mike
> Cc: 	[email-masked]'
> Subject: 	Re: TDomains
> 
> 
> Hi Mike,
> 
> "Ayers, Mike" wrote:
> 
> >         What, if any, are the valid values of TDomain for
> > agentxConnTransportDomain?
> >
> 
> I don't believe there are any such values defined yet.
> 
> Since AgentX has transport mappings for TCP and UNIx-domain
> sockets, those would be the TDomain/TAddress values we'd need
> to define.
> 
> We chose not to do so in the AgentX MIB, because we didn't
> think it was the right place to define generic TCs for addressing.
> 
> What we were hoping, is that the Ops area would sponsor
> a "generic TAddress" MIB.  I believe we're getting closer.
> 
> See draft-ops-taddress-mib-00.txt.
> 
Yep, and that document can be discussed on the [email-masked]
mailing list

> >
> >         Also, the AgentxTAddress TC is of size (0..255).  Although it
> might
> > be rare, I can imagine Unix domain sockets with longer names.  Is there
> > therefore, an implied limit on the characters in a Unix domain socket
> for
> > AgentX?
> >
> 
> Not for AgentX specifically.  The limit already exists with the TAddress
> definition in RFC 1903, we just needed to permit 0 length.
> 
> Also,  I believe unix domain socket pathnames are restricted by standards
> to fewer than 255 characters.  (104?).
> 
> >
> >         I believe that Unix domain sockets would have
> > agentxConnTransportAddress values of the form /path/to/socket as opposed
> to
> > host:/path/to/socket, since master agents will always open sockets on
> their
> > own host - is this technically correct?
> >
> 
> I believe so.   Good clarification for the draft though!
> 
Pls post any issues w.r.t. generic TAddress TDomain to the [email-masked]
mailing list.

Bert